# PHTTPClientAuthentication::AuthObject Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPClientAuthentication::AuthObject:

List of all members.

## Public Member Functions

virtual | ~AuthObject ()
virtual PMIMEInfo & | GetMIME ()=0
virtual PString | GetURI ()=0
virtual PString | GetEntityBody ()=0
virtual PString | GetMethod ()=0

## Constructor & Destructor Documentation

virtual PHTTPClientAuthentication::AuthObject::~AuthObject | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual PString PHTTPClientAuthentication::AuthObject::GetEntityBody | ( |  | ) | `[pure virtual]`

Implemented in PHTTPClientAuthenticator.

virtual PString PHTTPClientAuthentication::AuthObject::GetMethod | ( |  | ) | `[pure virtual]`

Implemented in PHTTPClientAuthenticator.

virtual PMIMEInfo& PHTTPClientAuthentication::AuthObject::GetMIME | ( |  | ) | `[pure virtual]`

Implemented in PHTTPClientAuthenticator.

virtual PString PHTTPClientAuthentication::AuthObject::GetURI | ( |  | ) | `[pure virtual]`

Implemented in PHTTPClientAuthenticator.

The documentation for this class was generated from the following file:

- http.h